## net.sf.statsvn.util.svnkit
Class SvnKitPropget.SvnKitPropertyHandler

    java.lang.Object
      net.sf.statsvn.util.svnkit.SvnKitPropget.SvnKitPropertyHandler

All Implemented Interfaces:
  org.tmatesoft.svn.core.wc.ISVNPropertyHandler

Enclosing class:
  SvnKitPropget

    protected class SvnKitPropget.SvnKitPropertyHandler

extends Object
implements org.tmatesoft.svn.core.wc.ISVNPropertyHandler

Field Summary
`protected List` `binaryFiles`

Fields inherited from interface org.tmatesoft.svn.core.wc.ISVNPropertyHandler
`NULL`

Constructor Summary
`SvnKitPropget.SvnKitPropertyHandler(SvnKitPropget propgetUtils, List binaryFiles)`

Method Summary
`protected List` `getBinaryFiles()`
`protected SvnKitPropget` `getPropgetUtils()`
`void` `handleProperty(File file, org.tmatesoft.svn.core.wc.SVNPropertyData data)`
`void` `handleProperty(long revision, org.tmatesoft.svn.core.wc.SVNPropertyData data)`
`void` `handleProperty(org.tmatesoft.svn.core.SVNURL url, org.tmatesoft.svn.core.wc.SVNPropertyData data)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### binaryFiles

    protected List binaryFiles

Constructor Detail

### SvnKitPropget.SvnKitPropertyHandler

    public SvnKitPropget.SvnKitPropertyHandler(SvnKitPropget propgetUtils,
                                               List binaryFiles)

Method Detail

### getBinaryFiles

    protected List getBinaryFiles()

### getPropgetUtils

    protected SvnKitPropget getPropgetUtils()

### handleProperty

    public void handleProperty(File file,
                               org.tmatesoft.svn.core.wc.SVNPropertyData data)
                        throws org.tmatesoft.svn.core.SVNException

  Specified by:
    `handleProperty` in interface `org.tmatesoft.svn.core.wc.ISVNPropertyHandler`
  Throws:
    `org.tmatesoft.svn.core.SVNException`

### handleProperty

    public void handleProperty(long revision,
                               org.tmatesoft.svn.core.wc.SVNPropertyData data)
                        throws org.tmatesoft.svn.core.SVNException

  Specified by:
    `handleProperty` in interface `org.tmatesoft.svn.core.wc.ISVNPropertyHandler`
  Throws:
    `org.tmatesoft.svn.core.SVNException`

### handleProperty

    public void handleProperty(org.tmatesoft.svn.core.SVNURL url,
                               org.tmatesoft.svn.core.wc.SVNPropertyData data)
                        throws org.tmatesoft.svn.core.SVNException

  Specified by:
    `handleProperty` in interface `org.tmatesoft.svn.core.wc.ISVNPropertyHandler`
  Throws:
    `org.tmatesoft.svn.core.SVNException`